Subject: bug#46350: 28.0.50; touchpad-scrolling-eats-lots-of-cpu-samples

From: Andrey Orst <[email-masked]>
Date: Mon, 8 Feb 2021 17:35:51 +0300

And horizontal scrolling is not laggy with touchpad at all. Well, at least
rapid left and right swipes on touchpad aren't creating enormous cpu usage.

So, to summarize:

- scrolling to buffer end  (down) is less laggy than scrolling to buffer
start (up)
- horizontal scrolling isn't laggy at all
- this can be achieved with mouse if you roll it with mouse wheel over the
table very fast

If I can produce more information, maybe stack traces, or more in-depth
profiling please guide me with some instructions. This issue bothered me
for about 2 years, just finally decided to report it.